       CHARACTER*16 VTYP(720),VN(47)                                                 
       INTEGER SURF,SYM                                                        
       DIMENSION SURF(200,2),SYM(720)                   
       DIMENSION XF(720),YF(720),ISYM(720)                                      
       OPEN (UNIT=2, FILE='ndp017.dat',
     2  ACCESS='SEQUENTIAL', FORM='FORMATTED', STATUS='OLD')
      DATA VN/'ANTARCTICA      ','MAIN TAIGA      ',                            
     1 'COOL CONIFER    ','COOL MIXED      ','WARM DECIDUOUS  ',                
     2 'WARM MIXED      ','WARM CONIFER    ','TROPICAL MONTANE',                
     3 'TROP. SEASONAL  ','EQ. EVERGREEN   ','COOL CROPS      ',                
     4 'WARM CROPS      ','TROPICAL DRY FOR','PADDYLANDS      ',                
     5 'WARM IRRIGATED  ','COOL IRRIGATED  ','COLD IRRIGATED  ',                
     6 'COOL GRASS/SHRUB','WARM GRASS/SHRUB','HIGHLAND SHRUB  ',                
     7 'MED. GRAZING    ','SEMIARID WOODS  ','SIBERIAN PARKS  ',                
     8 'HEATHS, MOORS   ','SUCCULENT THORNS','NORTH. TAIGA    ',                
     9 'TROP. SAVANNA   ','COOL FIELD/WOODS','WARM FIELD WOODS',                
     1 'WARM FOR./FIELD ','COOL FOR./FIELD ','SOUTH. TAIGA    ',                
     2 'E. SOUTH. TAIGA ','TROP. MONTANE   ','MARSH, SWAMP    ',                
     3 'MANGROVES       ','LOW SCRUB       ','BOGS, BOG WOODS ',                
     4 'HOT DESERT      ','COOL DESERT     ','WOODED TUNDRA   ',                
     5 'TUNDRA          ','SAND DESERT     ','POLAR DESERT    ',                
     6 'ICE             ','WATER           ',                                   
     7 'COASTAL EDGES   '/                                                      
C  STARTING LATITUDE AND LONGITUDE POINTS CENTERED ON CELL                      
           DO 55 ILO=1,720                                                      
55         XF(ILO)=-179.75+(0.5*(ILO-1))                                        
C   READ IN DATA FOR EACH 0.5 DEGREE LATITUDE BAND                              
C   NP=NO. OF PAIRS OF POINTS AND VEGETATION CODE                               
C   SURF(IP,1) IS NO. OF CONSECUTIVE CELLS HAVING VEGETATION TYPE               
C    DEFINED IN SURF(I,2)                                                       
C    SURF(I,2) IS VEGETATION CODE                                               
        DO 1 IROW=1,360                                                         
          YLAT=89.75-(0.5*(IROW-1))                                             
        READ(2,8001) NP,(SURF(IP,1),SURF(IP,2),IP=1,15)                         
        IF(NP .LE. 15) GO TO 30                                                 
10      READ(2,8002) (SURF(IP,1),SURF(IP,2),IP=16,30)                           
        IF(NP .LE. 30) GO TO 30                                                 
11      READ(2,8002) (SURF(IP,1),SURF(IP,2),IP=31,45)                           
        IF(NP .LE. 45) GO TO 30                                                 
12      READ(2,8002) (SURF(IP,1),SURF(IP,2),IP=46,60)                           
        IF(NP .LE. 60) GO TO 30                                                 
13      READ(2,8002) (SURF(IP,1),SURF(IP,2),IP=61,75)                           
        IF(NP .LE. 75) GO TO 30                                                 
14      READ(2,8002) (SURF(IP,1),SURF(IP,2),IP=76,90)                           
        IF(NP .LE. 90) GO TO 30                                                 
15      READ(2,8002) (SURF(IP,1),SURF(IP,2),IP=91,105)                          
        IF(NP .LE. 105) GO TO 30                                                
16      READ(2,8002) (SURF(IP,1),SURF(IP,2),IP=106,120)                         
        IF(NP .LE. 120) GO TO 30                                                
17      READ(2,8002) (SURF(IP,1),SURF(IP,2),IP=121,135)                         
        IF(NP .LE. 135) GO TO 30                                                
18      READ(2,8002) (SURF(IP,1),SURF(IP,2),IP=136,150)                         
        IF(NP .LE. 150) GO TO 30                                                
19      READ(2,8002) (SURF(IP,1),SURF(IP,2),IP=151,165)                         
8001    FORMAT(I3,15(I3,I2))                                                    
8002    FORMAT(3X,15(I3,I2))                                                    
30      CONTINUE                                                                
C   SET UP COUNTERS TO LOOP THRU TO DEFINE ECOSYSTEM COMPLEX                    
C   FOR EACH CELL ON A LAT-LONG BASIS                                           
C   LOOP FOR NP PAIRS                                                           
        IK=0                                                                    
        IC=1                                                                    
        DO 2 I=1,NP                                                             
        I2=SURF(I,2)                                                            
        I1=SURF(I,1)                                                            
        IK=IC+I1-1                                                              
        DO 3 J=IC,IK                                                            
        SYM(J)=I2                                                               
3       CONTINUE                                                                
        IC=IC+I1                                                                
2       CONTINUE                                                                
        DO 5 IKT=1,720                                                          
         YF(IKT)=YLAT                                                           
         ISYM(IKT)=SYM(IKT)                                                     
       IF(ISYM(IKT) .EQ. 0) VTYP(IKT)=VN(46)                                    
         IF(ISYM(IKT).EQ. 17) VTYP(IKT)=VN(1)                                   
         IF(ISYM(IKT).EQ.20 .OR. ISYM(IKT) .EQ. 21)                             
     1  VTYP(IKT)=VN(2)                                                         
         IF(ISYM(IKT) .EQ. 22) VTYP(IKT)=VN(3)                                  
         IF(ISYM(IKT) .EQ. 23) VTYP(IKT)=VN(4)                                  
         IF(ISYM(IKT) .EQ. 24) VTYP(IKT)=VN(5)                                  
         IF(ISYM(IKT) .EQ. 25 .OR. ISYM(IKT) .EQ. 26)                           
     1  VTYP(IKT)=VN(6)                                                         
         IF(ISYM(IKT) .EQ. 27) VTYP(IKT)=VN(7)                                  
         IF(ISYM(IKT) .EQ. 28) VTYP(IKT)=VN(8)                                  
         IF(ISYM(IKT) .EQ. 29) VTYP(IKT)=VN(9)                                  
         IF(ISYM(IKT) .EQ. 33) VTYP(IKT)=VN(10)                                 
         IF(ISYM(IKT) .EQ. 30) VTYP(IKT)=VN(11)                                 
         IF(ISYM(IKT) .EQ. 31) VTYP(IKT)=VN(12)                                
         IF(ISYM(IKT) .EQ. 32) VTYP(IKT)=VN(13)                                 
         IF(ISYM(IKT) .EQ. 36) VTYP(IKT)=VN(14)                                
         IF(ISYM(IKT) .EQ. 37) VTYP(IKT)=VN(15)                                 
         IF(ISYM(IKT) .EQ. 38) VTYP(IKT)=VN(16)                                 
         IF(ISYM(IKT) .EQ. 39) VTYP(IKT)=VN(17)                                 
         IF(ISYM(IKT) .EQ. 40) VTYP(IKT)=VN(18)                                 
         IF(ISYM(IKT) .EQ. 41) VTYP(IKT)=VN(19)                                 
         IF(ISYM(IKT) .EQ. 47) VTYP(IKT)=VN(20)                                 
         IF(ISYM(IKT) .EQ. 46) VTYP(IKT)=VN(21)                                 
         IF(ISYM(IKT) .EQ. 48) VTYP(IKT)=VN(22)                                 
         IF(ISYM(IKT) .EQ. 42) VTYP(IKT)=VN(23)                                 
         IF(ISYM(IKT) .EQ. 64) VTYP(IKT)=VN(24)                                 
         IF(ISYM(IKT) .EQ. 59) VTYP(IKT)=VN(25)                                 
         IF(ISYM(IKT) .EQ. 62) VTYP(IKT)=VN(26)                                 
         IF(ISYM(IKT) .EQ. 43) VTYP(IKT)=VN(27)                                 
         IF(ISYM(IKT) .EQ. 55) VTYP(IKT)=VN(28)                                 
         IF(ISYM(IKT) .EQ. 58) VTYP(IKT)=VN(29)                                 
         IF(ISYM(IKT) .EQ. 56) VTYP(IKT)=VN(30)                                 
         IF(ISYM(IKT) .EQ. 57) VTYP(IKT)=VN(31)                                 
         IF(ISYM(IKT) .EQ. 60) VTYP(IKT)=VN(32)                                 
         IF(ISYM(IKT) .EQ. 61) VTYP(IKT)=VN(33)                                 
         IF(ISYM(IKT) .EQ. 28) VTYP(IKT)=VN(34)                                 
         IF(ISYM(IKT) .EQ. 45) VTYP(IKT)=VN(35)                                
         IF(ISYM(IKT) .EQ. 72) VTYP(IKT)=VN(36)                                 
         IF(ISYM(IKT) .EQ. 49) VTYP(IKT)=VN(37)                                 
         IF(ISYM(IKT) .EQ. 44) VTYP(IKT)=VN(38)                                 
         IF(ISYM(IKT) .EQ. 51 .OR. SYM(IKT) .EQ. 71)                            
     1   VTYP(IKT)=VN(39)                                                       
         IF(ISYM(IKT) .EQ. 52) VTYP(IKT)=VN(40)                                 
         IF(ISYM(IKT) .EQ. 63) VTYP(IKT)=VN(41)                                 
         IF(ISYM(IKT) .EQ. 53 .OR. ISYM(IKT) .EQ. 54)                           
     1   VTYP(IKT)=VN(42)                                                       
         IF(ISYM(IKT) .EQ. 50) VTYP(IKT)=VN(43)                                 
         IF(ISYM(IKT) .EQ. 69) VTYP(IKT)=VN(44)                                 
        IF(ISYM(IKT) .EQ. 70) VTYP(IKT)=VN(45)                                  
         IF(ISYM(IKT) .GE. 65 .AND.                                             
     1  ISYM(IKT) .LE. 68) VTYP(IKT)=VN(47)                                     
5      CONTINUE                                                                 
         DO 150 NCT=1,720,2                                                     
        WRITE(6,230) YF(NCT),XF(NCT),ISYM(NCT),VTYP(NCT),                       
     1  YF(NCT+1),XF(NCT+1),ISYM(NCT+1),VTYP(NCT+1)                             
230       FORMAT(1H ,F8.2,3X,F9.2,9X,I2,8X,A16,10X,F8.2,3X,                     
     2  F9.2,9X,I2,8X,A16)                                                      
150       CONTINUE                                                              
1       CONTINUE                                                                
        CLOSE (UNIT=2)
        STOP                                                                    
        END                                                                     
